
 
function initialise() {
	// Tell joust where to find the various index files it needs
	index1 = 'index.htm';
	index2 = 'index.htm';
	index3 = 'index.htm';
	
	// Set up parameters to control menu behaviour
	theMenu.autoScrolling = true;	
	theMenu.modalFolders = false;
	theMenu.linkOnExpand = false;
	theMenu.toggleOnLink = false;
	theMenu.showAllAsLinks = false;
	theMenu.savePage = true;
	theMenu.tipText = "status";
	theMenu.selectParents = false;
	theMenu.name = "theMenu";
	theMenu.container = "self.menu";
	theMenu.reverseRef = "parent";
	theMenu.contentFrame = "text";
	theMenu.defaultTarget = "text";
	
	// Initialise all the icons
	initOutlineIcons(theMenu.imgStore);
	
	// Now set up the menu with a whole lot of addEntry and addChild function calls
	var L0 = -1;
	var L1 = -1;
	var L2 = -1;
	var L3 = -1;

	L0 = theMenu.addEntry(-1, "Folder", "Chart FX for Java", "", "");


	L1 =theMenu.addChild(L0,"Document","Introduction","guide/introduction.htm","");
	L1 =theMenu.addChild(L0,"Document","What is new in Chart FX for Java 6.2","guide/whatsnewinversion62.htm","");
	L1 =theMenu.addChild(L0,"Document","Getting Help","guide/support.htm","");
	L1 =theMenu.addChild(L0,"Folder","Getting Started with Chart FX for Java","","");
		L2 =theMenu.addChild(L1,"Document","Getting Started","guide/javaintegration.htm","");
		L2 =theMenu.addChild(L1,"Document","Installation and Activation","guide/java_install_activation.htm","");
		L2 =theMenu.addChild(L1,"Document","Running on a Headless Server","guide/headless.htm","");	
		//L2 =theMenu.addChild(L1,"Document","Chart FX for Java Tag Library","guide/taglib.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Chart FX for Java Designer","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/javadesigner.htm","");
		L2 =theMenu.addChild(L1,"Document","Eclipse Plug-in","guide/eclipse.htm","");
		L2 =theMenu.addChild(L1,"Document","NetBeans Plug-in","guide/netbeans.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Gallery Types","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/gallery_overview.htm","");
		L2 =theMenu.addChild(L1,"Folder","Bar, Gantt and Cubes","","");
			L3 =theMenu.addChild(L2,"Sample","Side By Side","samples/GalleryTypes.Bar-Gantt-Cubes.Side-By-SideColumnChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Oblique","samples/GalleryTypes.Bar-Gantt-Cubes.ObliqueBarChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Horizontal","samples/GalleryTypes.Bar-Gantt-Cubes.HorizontalBarChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Horiz Zero Axis","samples/GalleryTypes.Bar-Gantt-Cubes.HorizontalBarwithZeroAxis.htm","");
			L3 =theMenu.addChild(L2,"Sample","Column with Negative Data","samples/GalleryTypes.Bar-Gantt-Cubes.ColumnChartwithNegativeData.htm","");
			L3 =theMenu.addChild(L2,"Sample","Clustered Cylinder","samples/GalleryTypes.Bar-Gantt-Cubes.ClusterCylinderChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Floating Cubes","samples/GalleryTypes.Bar-Gantt-Cubes.FloatingCubes.htm","");
			L3 =theMenu.addChild(L2,"Sample","3D Bar with Thin Columns","samples/GalleryTypes.Bar-Gantt-Cubes.3DBarChartWithThinColumns.htm","");
			L3 =theMenu.addChild(L2,"Sample","Inverted Axis","samples/GalleryTypes.Bar-Gantt-Cubes.InvertedAxis.htm","");	
			L3 =theMenu.addChild(L2,"Document","Gant Charts","guide/gantt.htm","");
			L3 =theMenu.addChild(L2,"Sample","Gantt Chart","samples/GalleryTypes.Bar-Gantt-Cubes.GanttChart.htm","");			
			L3 =theMenu.addChild(L2,"Sample","Gantt Chart with Dates","samples/GalleryTypes.Bar-Gantt-Cubes.GanttChartDates.htm","");
			L3 =theMenu.addChild(L2,"Sample","Stacked Column","samples/GalleryTypes.Bar-Gantt-Cubes.StackedColumnChart.htm","");			
			L3 =theMenu.addChild(L2,"Document","Muti-Stacked Charts","guide/multistaked.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Line, Curve and Step","","");
			L3 =theMenu.addChild(L2,"Sample","3D Strip Chart","samples/GalleryTypes.Lines-Curves-Steps.StripChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D MultiSeries","samples/GalleryTypes.Lines-Curves-Steps.MultiSeries2DLine.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D Step Lines","samples/GalleryTypes.Lines-Curves-Steps.StepLines.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D Curves with Log Scale","samples/GalleryTypes.Lines-Curves-Steps.2DCurveswithLogScale.htm","");
			L3 =theMenu.addChild(L2,"Sample","3D Strip Curve","samples/GalleryTypes.Lines-Curves-Steps.3DStripCurves.htm","");
			L3 =theMenu.addChild(L2,"Sample","XY Plot with Zero Axis","samples/GalleryTypes.Lines-Curves-Steps.XYLineChartwithZeroAxis.htm","");
			L3 =theMenu.addChild(L2,"Sample","Line Styles","samples/GalleryTypes.Lines-Curves-Steps.MultipleLineStyles.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Bubble","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/bubble.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D Bubble","samples/GalleryTypes.Bubble.2DBubble.htm","");
			L3 =theMenu.addChild(L2,"Sample","3D Bubble","samples/GalleryTypes.Bubble.3DBubblewithDifferentColors.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Area","","");
			L3 =theMenu.addChild(L2,"Sample","3D Cluster","samples/GalleryTypes.Area.3DClusteredArea.htm","");
			L3 =theMenu.addChild(L2,"Sample","Curve area","samples/GalleryTypes.Area.CurvedArea.htm","");
			L3 =theMenu.addChild(L2,"Sample","Drop Lines","samples/GalleryTypes.Area.AreawithDropLines.htm","");
			L3 =theMenu.addChild(L2,"Sample","Stacked 100","samples/GalleryTypes.Area.Area100PctStacked.htm","");
			L3 =theMenu.addChild(L2,"Sample","Zero Axis","samples/GalleryTypes.Area.AreawithZeroAxis.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Pie, Doughnut and Piramid","","");
			L3 =theMenu.addChild(L2,"Sample","Pie 2D","samples/GalleryTypes.Pie-Doughnut-Pyramid.2DPieChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Exploding Pie","samples/GalleryTypes.Pie-Doughnut-Pyramid.ExplodingPie.htm","");
			L3 =theMenu.addChild(L2,"Sample","Separate Slice","samples/GalleryTypes.Pie-Doughnut-Pyramid.SingleSeparatedSliceChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Multiple Series","samples/GalleryTypes.Pie-Doughnut-Pyramid.MultipleSeries3DPieChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D Shadow","samples/GalleryTypes.Pie-Doughnut-Pyramid.2DShadowPie.htm","");
			L3 =theMenu.addChild(L2,"Sample","3D Doughnut","samples/GalleryTypes.Pie-Doughnut-Pyramid.3DDoughnutChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","3D Pyramid","samples/GalleryTypes.Pie-Doughnut-Pyramid.3DPyramidChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","Staked Pie","samples/GalleryTypes.Pie-Doughnut-Pyramid.StakedPie.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Scatter","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/xyplots.htm","");
			L3 =theMenu.addChild(L2,"Sample","Scatter","samples/GalleryTypes.Scatter.Scatter.htm","");
			L3 =theMenu.addChild(L2,"Sample","Regression Lineal","samples/GalleryTypes.Scatter.LinearRegression.htm","");
			L3 =theMenu.addChild(L2,"Sample","Zero Crossing","samples/GalleryTypes.Scatter.ScatterWithzeroCrossingArea.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Financial","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/financial.htm","");
			L3 =theMenu.addChild(L2,"Sample","Line with Volume Area","samples/GalleryTypes.Financial.LinewithVolumeArea.htm","");
			L3 =theMenu.addChild(L2,"Sample","Line with Volume Area in Pane","samples/GalleryTypes.Financial.Price_Volumewithtwopanes.htm","");
			L3 =theMenu.addChild(L2,"Sample","High-Low-Close","samples/GalleryTypes.Financial.Hi-Low-Close.htm","");
			L3 =theMenu.addChild(L2,"Sample","Open-High-Low-Close","samples/GalleryTypes.Financial.Open-Hi-Low-CloseChart.htm","");
			L3 =theMenu.addChild(L2,"Sample","2D Candlestick","samples/GalleryTypes.Financial.2DCandlestick.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Radar and Polar","","");
			L3 =theMenu.addChild(L2,"Sample","Radar","samples/GalleryTypes.Radar-Polar.SimpleRadar.htm","");
			L3 =theMenu.addChild(L2,"Sample","Radar with Filled Area","samples/GalleryTypes.Radar-Polar.FilledRadar.htm","");
			L3 =theMenu.addChild(L2,"Sample","Radar with no connecting Lines","samples/GalleryTypes.Radar-Polar.Radarwithoutconnectinglines.htm","");	
			L3 =theMenu.addChild(L2,"Document","Polar Charts","guide/Polar.htm","");
			L3 =theMenu.addChild(L2,"Sample","Polar","samples/GalleryTypes.Radar-Polar.BasicPolar.htm","");
			L3 =theMenu.addChild(L2,"Sample","Polar with no shadows","samples/GalleryTypes.Radar-Polar.PolarwithoutShadows.htm","");
			L3 =theMenu.addChild(L2,"Sample","Non-circular","samples/GalleryTypes.Radar-Polar.Non-circularPolar.htm","");	
			L3 =theMenu.addChild(L2,"Sample","Polar with Label Angle","samples/GalleryTypes.Radar-Polar.PolarwithLabelAngle.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Surface and Contour","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/surface.htm","");
			L3 =theMenu.addChild(L2,"Sample","Surface","samples/GalleryTypes.Surface_Contour.Surface.htm","");
			L3 =theMenu.addChild(L2,"Sample","Surface with Border","samples/GalleryTypes.Surface_Contour.SurfaceBorders.htm","");
			L3 =theMenu.addChild(L2,"Sample","Contour","samples/GalleryTypes.Surface_Contour.Contour.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Combinations","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/multitype.htm","");
			L3 =theMenu.addChild(L2,"Sample","Range Band","samples/GalleryTypes.Combinations.LineChartwithRangeBand.htm","");
			L3 =theMenu.addChild(L2,"Sample","Bar and area","samples/GalleryTypes.Combinations.BarChartwithArea.htm","");
		
	
	L1 =theMenu.addChild(L0,"Folder","Passing Data","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/data.htm","");
		L2 =theMenu.addChild(L1,"Document","Using API","guide/data_api.htm","");
		L2 =theMenu.addChild(L1,"Folder","Database","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/data_database.htm","");
			L3 =theMenu.addChild(L2,"Document","JDBC ResultSet","guide/data_datacommand.htm","");
			L3 =theMenu.addChild(L2,"Document","SQL Statements","guide/data_sql.htm","");
			L3 =theMenu.addChild(L2,"Sample","JDBC","samples/PassingData.jdbc.htm","");
		
		L2 =theMenu.addChild(L1,"Document","DataStyle and DataType","guide/data_typestyle.htm","");
		L2 =theMenu.addChild(L1,"Folder","Arrays","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/data_arrays.htm","");
			L3 =theMenu.addChild(L2,"Sample","List Provider","samples/ListProvider.Array.htm","");
		
		L2 =theMenu.addChild(L1,"Document","Text Files","guide/data_text.htm","");
		L2 =theMenu.addChild(L1,"Folder","XML","","");
			L3 =theMenu.addChild(L2,"Document","Reading Data From XML File","guide/data_xml.htm","");
			L3 =theMenu.addChild(L2,"Document","Reading Properties from XML File","guide/data_xml_readprop.htm","");
			L3 =theMenu.addChild(L2,"Sample","Data from XML File","samples/PassingData.XML.DatafromXMLFile.htm","");
			L3 =theMenu.addChild(L2,"Sample","Properties from Xml File","samples/PassingData.XML.PropertiesfromXmlFile.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Crosstab","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/crosstab.htm","");
			L3 =theMenu.addChild(L2,"Sample","Crosstab","samples/PassingData.CrossTab.Crosstab.htm","");
			L3 =theMenu.addChild(L2,"Sample","Crosstab with IniValues","samples/PassingData.CrossTab.WithInitialValues.htm","");
		
		L2 =theMenu.addChild(L1,"Sample","Hidden Points","samples/PassingData.HiddenPoints.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Axis Handling","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/axis.htm","");
		L2 =theMenu.addChild(L1,"Document","Scaling","guide/axis_scaling.htm","");
		L2 =theMenu.addChild(L1,"Document","Formatting","guide/axis_formatting.htm","");
		L2 =theMenu.addChild(L1,"Document","Labeling","guide/axis_labeling.htm","");
		L2 =theMenu.addChild(L1,"Document","Scrolling","guide/axis_scrolling.htm","");
		L2 =theMenu.addChild(L1,"Document","Gridlines and Tickmarks","guide/axis_gridticks.htm","");
		L2 =theMenu.addChild(L1,"Document","Multiple Axes","guide/axis_multiple.htm","");
		L2 =theMenu.addChild(L1,"Document","Multiple Panes","guide/multiplepanes.htm","");
		L2 =theMenu.addChild(L1,"Document","Axis Sections","guide/axissections.htm","");		
		L2 =theMenu.addChild(L1,"Document","Data Driven Labels","guide/datadrivenlabels.htm","");	
		L2 =theMenu.addChild(L1,"Folder","X Axis","","");
			L3 =theMenu.addChild(L2,"Sample","Label Font","samples/AxisHandling.XAxis.X-AxisLabelsFont.htm","");
			L3 =theMenu.addChild(L2,"Sample","Multiple Lines","samples/AxisHandling.XAxis.MultipleX-Axis.htm","");
			L3 =theMenu.addChild(L2,"Sample","Vertical Labels","samples/AxisHandling.XAxis.VerticalLabels.htm","");
			L3 =theMenu.addChild(L2,"Sample","Staggered Labels","samples/AxisHandling.XAxis.StaggeredLabels.htm","");
			L3 =theMenu.addChild(L2,"Sample","Date Labels","samples/AxisHandling.XAxis.DateLabels.htm","");
			L3 =theMenu.addChild(L2,"Sample","Date Values","samples/AxisHandling.XAxis.DateValues.htm","");
			L3 =theMenu.addChild(L2,"Sample","Axis Colors","samples/AxisHandling.XAxis.AxisColors.htm","");
			L3 =theMenu.addChild(L2,"Sample","Multiple Axes","samples/AxisHandling.XAxis.MultipleX-Axis.htm","");
			L3 =theMenu.addChild(L2,"Sample","Sections","samples/AxisHandling.XAxis.X-AxisSections.htm","");
			L3 =theMenu.addChild(L2,"Sample","Tick Marks","samples/AxisHandling.XAxis.X-AxisTickMarks.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Y Axis","","");
			L3 =theMenu.addChild(L2,"Sample","Label Font","samples/AxisHandling.YAxis.Y-AxisLabelsFont.htm","");
			L3 =theMenu.addChild(L2,"Sample","Label Angle","samples/AxisHandling.YAxis.LabelsAngle.htm","");
			L3 =theMenu.addChild(L2,"Sample","Percentages","samples/AxisHandling.YAxis.Percentages.htm","");
			L3 =theMenu.addChild(L2,"Sample","Formatting","samples/AxisHandling.YAxis.Formatting.htm","");
			L3 =theMenu.addChild(L2,"Sample","Grid Lines","samples/AxisHandling.YAxis.GridLines.htm","");
			L3 =theMenu.addChild(L2,"Sample","Interlaced","samples/AxisHandling.YAxis.InterlacedGrid.htm","");
			L3 =theMenu.addChild(L2,"Sample","Sections","samples/AxisHandling.YAxis.Y-AxisSections.htm","");
			L3 =theMenu.addChild(L2,"Sample","Multiple Axes","samples/AxisHandling.YAxis.MultipleY-Axis.htm","");
			L3 =theMenu.addChild(L2,"Sample","Tick Marks","samples/AxisHandling.YAxis.Y-AxisTickMarks.htm","");
		
	
	L1 =theMenu.addChild(L0,"Folder","Properties and Attributes","","");
		L2 =theMenu.addChild(L1,"Document","Per-Series and Per-Point Attributes","guide/props_attributes.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Handling Chart Files and Templates","","");
		L2 =theMenu.addChild(L1,"Document","Import and Export Methods","guide/import_export.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Visual Features","","");
		L2 =theMenu.addChild(L1,"Folder","Borders","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/borders.htm","");
			L3 =theMenu.addChild(L2,"Sample","Aqua","samples/VisualAttributes.Borders.Aqua.htm","");
			L3 =theMenu.addChild(L2,"Sample","ArchThick","samples/VisualAttributes.Borders.ArchThick.htm","");
			L3 =theMenu.addChild(L2,"Sample","Butterfly","samples/VisualAttributes.Borders.Butterfly.htm","");
			L3 =theMenu.addChild(L2,"Sample","Colonial","samples/VisualAttributes.Borders.Colonial.htm","");
			L3 =theMenu.addChild(L2,"Sample","Embed","samples/VisualAttributes.Borders.Embed.htm","");
			L3 =theMenu.addChild(L2,"Sample","Emboss","samples/VisualAttributes.Borders.Emboss.htm","");
			L3 =theMenu.addChild(L2,"Sample","Gel","samples/VisualAttributes.Borders.Gel.htm","");
			L3 =theMenu.addChild(L2,"Sample","SolidLines","samples/VisualAttributes.Borders.Lines.htm","");
			L3 =theMenu.addChild(L2,"Sample","Museum","samples/VisualAttributes.Borders.Museum.htm","");
			L3 =theMenu.addChild(L2,"Sample","Open","samples/VisualAttributes.Borders.Open.htm","");
			L3 =theMenu.addChild(L2,"Sample","Pulsar","samples/VisualAttributes.Borders.Pulsar.htm","");
			L3 =theMenu.addChild(L2,"Sample","Slide","samples/VisualAttributes.Borders.Slide.htm","");
			L3 =theMenu.addChild(L2,"Sample","SolidRivet","samples/VisualAttributes.Borders.SolidRivet.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Gradients","","");
			L3 =theMenu.addChild(L2,"Document","Gradients in Markers","guide/gradients_markers.htm","");
			L3 =theMenu.addChild(L2,"Document","Gradients in Background","guide/gradients_background.htm","");
			L3 =theMenu.addChild(L2,"Sample","Backwards Diagonal","samples/VisualAttributes.Gradients.BackwardDiagonal.htm","");
			L3 =theMenu.addChild(L2,"Sample","Horizontal","samples/VisualAttributes.Gradients.Horizontal.htm","");
			L3 =theMenu.addChild(L2,"Sample","In Series","samples/VisualAttributes.Gradients.SeriesandGradients.htm","");
			L3 =theMenu.addChild(L2,"Sample","Multiple Gradient","samples/VisualAttributes.Gradients.ColorsandPositions2.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Transparency","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/transparency.htm","");
			L3 =theMenu.addChild(L2,"Sample","With Series","samples/VisualAttributes.Transparency.WithSeries.htm","");
			L3 =theMenu.addChild(L2,"Sample","With Gradient","samples/VisualAttributes.Transparency.WithGradient.htm","");
			L3 =theMenu.addChild(L2,"Sample","With Background Image","samples/VisualAttributes.Transparency.WithBackgroundImage.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Color Palettes","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/palettes.htm","");
			L3 =theMenu.addChild(L2,"Sample","Adventure","samples/VisualAttributes.ColorPalettes.Adventure.htm","");
			L3 =theMenu.addChild(L2,"Sample","Alternate","samples/VisualAttributes.ColorPalettes.Alternate.htm","");
			L3 =theMenu.addChild(L2,"Sample","AltPastels","samples/VisualAttributes.ColorPalettes.AltPastels.htm","");
			L3 =theMenu.addChild(L2,"Sample","ChartFX5","samples/VisualAttributes.ColorPalettes.ChartFX5.htm","");
			L3 =theMenu.addChild(L2,"Sample","ChartFX6","samples/VisualAttributes.ColorPalettes.ChartFX6.htm","");
			L3 =theMenu.addChild(L2,"Sample","EarthTones","samples/VisualAttributes.ColorPalettes.EarthTones.htm","");
			L3 =theMenu.addChild(L2,"Sample","HighContrast","samples/VisualAttributes.ColorPalettes.HighContrast.htm","");
			L3 =theMenu.addChild(L2,"Sample","Mesa","samples/VisualAttributes.ColorPalettes.Mesa.htm","");
			L3 =theMenu.addChild(L2,"Sample","ModernBusiness","samples/VisualAttributes.ColorPalettes.ModernBusiness.htm","");
			L3 =theMenu.addChild(L2,"Sample","Pastels","samples/VisualAttributes.ColorPalettes.Pastels.htm","");
			L3 =theMenu.addChild(L2,"Sample","Sky","samples/VisualAttributes.ColorPalettes.Sky.htm","");
			L3 =theMenu.addChild(L2,"Sample","Vivid","samples/VisualAttributes.ColorPalettes.Vivid.htm","");
			L3 =theMenu.addChild(L2,"Sample","Windows","samples/VisualAttributes.ColorPalettes.Windows.htm","");
		
		L2 =theMenu.addChild(L1,"Document","3D Effects","guide/3d_effects.htm","");
		L2 =theMenu.addChild(L1,"Folder","Miscellaneous","","");
			L3 =theMenu.addChild(L2,"Sample","Coloring Markers","samples/VisualAttributes.ColoringMarkers.htm","");
			L3 =theMenu.addChild(L2,"Sample","Coloring Series","samples/VisualAttributes.ColorsinSeries.htm","");
			L3 =theMenu.addChild(L2,"Sample","Picture Markers","samples/VisualAttributes.MarkerPictures.htm","");
		
	
	L1 =theMenu.addChild(L0,"Folder","Chart FX Tools","","");
		L2 =theMenu.addChild(L1,"Folder","Legends and Labels","","");
			L3 =theMenu.addChild(L2,"Document","Series Legend","guide/serieslegends.htm","");
			L3 =theMenu.addChild(L2,"Document","Chart Legend","guide/legend.htm","");
			L3 =theMenu.addChild(L2,"Document","User Legend","guide/userlegend.htm","");
			L3 =theMenu.addChild(L2,"Document","Labels","guide/labels_overview.htm","");
			L3 =theMenu.addChild(L2,"Document","Smart Dates Labeling","guide/smartdateslabeling.htm","");	
			L3 =theMenu.addChild(L2,"Sample","Displaying","samples/Legends.Displaying.htm","");
			L3 =theMenu.addChild(L2,"Sample","External Border","samples/Legends.ExternalBorder.htm","");
			L3 =theMenu.addChild(L2,"Sample","Positioning","samples/Legends.Positioning.htm","");
			L3 =theMenu.addChild(L2,"Sample","Marker Labels","samples/Labels.MarkerLabels.htm","");
			L3 =theMenu.addChild(L2,"Sample","Custom Marker Labels","samples/Legends.ShowingValues.htm","");
			L3 =theMenu.addChild(L2,"Sample","Double Labeling","samples/Labels.DoubleLabeling.htm","");
			L3 =theMenu.addChild(L2,"Sample","Short Labels","samples/Labels.ShorterLabels.htm","");
			L3 =theMenu.addChild(L2,"Sample","User Legend Box","samples/Legends.UserLegendBox.UserLegendBoxSample.htm","");
		
		L2 =theMenu.addChild(L1,"Folder","Data Editor","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/dataeditor.htm","");
			L3 =theMenu.addChild(L2,"Sample","Alignment","samples/DataEditor.DataEditorAlignment.htm","");
			L3 =theMenu.addChild(L2,"Sample","Font","samples/DataEditor.DataEditorFont.htm","");
			L3 =theMenu.addChild(L2,"Sample","Interlaced","samples/DataEditor.DataEditorInterlaced.htm","");
			L3 =theMenu.addChild(L2,"Sample","Position","samples/DataEditor.DataEditorPosition.htm","");
		
	
	L1 =theMenu.addChild(L0,"Folder","Working with Colors","","");
		L2 =theMenu.addChild(L1,"Document","Color Handling","guide/handling_colors.htm","");
		L2 =theMenu.addChild(L1,"Document","Color Palettes","guide/changing_palettes.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Titles","","");
		L2 =theMenu.addChild(L1,"Document","Chart Titles","guide/titles.htm","");
		L2 =theMenu.addChild(L1,"Document","Axes Titles","guide/titles_axes.htm","");
		L2 =theMenu.addChild(L1,"Sample","Headers and Footers","samples/Titles.HeadersandFooters.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Data Analysis","","");
		L2 =theMenu.addChild(L1,"Document","Highlighting","guide/highlighting.htm","");
		L2 =theMenu.addChild(L1,"Document","Constants Lines and Stripes","guide/constantline.htm","");
		L2 =theMenu.addChild(L1,"Document","Conditional Attributes","guide/conditionalattributes.htm","");
		L2 =theMenu.addChild(L1,"Document","Axis Sections","guide/axissections.htm","");	
		L2 =theMenu.addChild(L1,"Sample","Constant Lines","samples/DataAnalysis.ConstantLinesandStripes.ConstantLines.htm","");
		L2 =theMenu.addChild(L1,"Sample","Stripes","samples/DataAnalysis.ConstantLinesandStripes.Stripes.htm","");
		L2 =theMenu.addChild(L1,"Sample","Conditional Attributes","samples/DataAnalysis.ConditionalAttributes.ConditionalAttributesSample.htm","");
		L2 =theMenu.addChild(L1,"Sample","Conditional per-point Attributes","samples/DataAnalysis.ConditionalAttributes.Per-PointAttributes.htm","");
		L2 =theMenu.addChild(L1,"Sample","Axis Sections","samples/DataAnalysis.AxisSections.AxisSectionsSample.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Chart Markers","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/markers.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Active Charts","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/active_overview.htm","");
		L2 =theMenu.addChild(L1,"Document","Special Configuration","guide/active_specialconfig.htm","");
		L2 =theMenu.addChild(L1,"Document","Tools","guide/active_tools.htm","");
		L2 =theMenu.addChild(L1,"Folder","Tool Customization","","");
			L3 =theMenu.addChild(L2,"Document","Overview","guide/active_toolcust_overview.htm","");
			L3 =theMenu.addChild(L2,"Document","Customizing the ToolBar","guide/active_toolcust_controlling.htm","");
			L3 =theMenu.addChild(L2,"Document","Adding Custom Commands","guide/active_toolcust_customcommands.htm","");
			L3 =theMenu.addChild(L2,"Document","Customizing Context Menus","guide/active_toolcust_contextmenus.htm","");
		
		L2 =theMenu.addChild(L1,"Document","User Interface","guide/active_ui.htm","");
		L2 =theMenu.addChild(L1,"Document","The Printer Object","guide/active_printer.htm","");
		L2 =theMenu.addChild(L1,"Document","Main Client","guide/active_mainclient.htm","");
		L2 =theMenu.addChild(L1,"Document","Personalization","guide/personlizationoverview.htm","");	
	
	L1 =theMenu.addChild(L0,"Folder","Annotations","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/annotationoverview.htm","");
		L2 =theMenu.addChild(L1,"Document","Creating and Adding Objects","guide/includingannotationextension.htm","");
		L2 =theMenu.addChild(L1,"Document","Positioning","guide/positioningobjectchart.htm","");
		L2 =theMenu.addChild(L1,"Document","Groups","guide/annotationgroups.htm","");	
		L2 =theMenu.addChild(L1,"Sample","Annotation Arc","samples/Annotations.AnnotationArc.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Arrow","samples/Annotations.AnnotationArrow.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Ballon","samples/Annotations.AnnotationBalloon.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Circle","samples/Annotations.AnnotationCircle.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Group","samples/Annotations.AnnotationGroup.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Object","samples/Annotations.AnnotationObject.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Picture","samples/Annotations.AnnotationPicture.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Polygon","samples/Annotations.AnnotationPolygon.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Rectangle","samples/Annotations.AnnotationRectangle.htm","");
		L2 =theMenu.addChild(L1,"Sample","Annotation Text","samples/Annotations.AnnotationText.htm","");
		
	L1 =theMenu.addChild(L0,"Folder","Miscellaneous Samples","","");
		L2 =theMenu.addChild(L1,"Sample","Time in X Axis","samples/timeaxis.htm","");
		L2 =theMenu.addChild(L1,"Sample","SVG Output","samples/svgoutput.htm","");
		L2 =theMenu.addChild(L1,"Sample","Flash Output","samples/flashoutput.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Rendering Methods","","");
		L2 =theMenu.addChild(L1,"Document","Selecting the chart's output","guide/selectingoutput.htm","");
		L2 =theMenu.addChild(L1,"Document","Image Generation","guide/imagegeneration.htm","");
		L2 =theMenu.addChild(L1,"Document","Drill Down","guide/drilldown.htm","");
		L2 =theMenu.addChild(L1,"Document","Image Maps Generation","guide/imagemaps.htm","");
		L2 =theMenu.addChild(L1,"Document","SVG Generation","guide/svg_generation.htm","");
		L2 =theMenu.addChild(L1,"Document","FLASH","guide/flash_generation.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Special Features","","");
		L2 =theMenu.addChild(L1,"Document","Bit Stream Chart Overview","guide/bitstreamOverview.htm","");
		L2 =theMenu.addChild(L1,"Document","Bit Stream Image Generation","guide/bitstreamImg.htm","");
		L2 =theMenu.addChild(L1,"Document","Bit Stream SVG Generation","guide/bitstreamSVG.htm","");
		L2 =theMenu.addChild(L1,"Document","Bit Stream Flash Generation","guide/bitstreamFlash.htm","");
		L2 =theMenu.addChild(L1,"Document","Bit Stream .NET Control Generation","guide/bitstreamNet.htm","");
		L2 =theMenu.addChild(L1,"Document","Maintaining Browser Independence","guide/BrowserIndependence.htm","");
	
	L1 =theMenu.addChild(L0,"Folder","Performance and Scalability","","");
		L2 =theMenu.addChild(L1,"Document","Overview","guide/perfoverview.htm","");
		L2 =theMenu.addChild(L1,"Document","Default Settings and Features","guide/perfdefaultsettings.htm","");
		L2 =theMenu.addChild(L1,"Document","Chart Render Size","guide/perfsize.htm","");
		L2 =theMenu.addChild(L1,"Document","Chart Format","guide/perfformat.htm","");
		L2 =theMenu.addChild(L1,"Document","Chart Return Mechanisms ","guide/perfreturn.htm","");
		L2 =theMenu.addChild(L1,"Document","Web Farms and Server Clustering)","guide/perfwebfarms.htm","");
	


	theMenu.entry[L0].isopen = true;
}

