<?LassoScript

ljax_target: 'chartfx', -notarget;

	var: '_start' = _date_msec;

	var: 'cache_active' = false;
	
	if: (var: 'ljax') == true;
		'<div id="chartfx" xmlns="http://www.w3.org/1999/xhtml">';
	else;
		'<div id="chartfx">';
	/if;
	
	var: 'series' = (math_range: (integer: (if_empty: (action_param: 'series'), '1')), -min=1, -max=4);
	var: 'points' = (math_range: (integer: (if_empty: (action_param: 'points'), '10')), -min=10, -max=100);
	var: 'lower' = (math_range: (integer: (if_empty: (action_param: 'lower'), '25')), -min=0, -max=100);
	var: 'upper' = (math_range: (integer: (if_empty: (action_param: 'upper'), '125')), -min=$lower + 1, -max=1000);

	var: 'data' = (array);
	if: $series == 4;
		$data->(insert: (array: 'Blue Data', 'Green Data', 'Red Data', 'Yellow Data', 'Date'));
		loop: $points;
			$data->(insert: (array: (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (date_add: date, -month=loop_count)->(format: '%m/%Y')));
		/loop;
	else: $series == 3;
		$data->(insert: (array: 'Blue Data', 'Green Data', 'Red Data', 'Date'));
		loop: $points;
			$data->(insert: (array: (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (date_add: date, -month=loop_count)->(format: '%m/%Y')));
		/loop;
	else: $series == 2;
		$data->(insert: (array: 'Blue Data', 'Green Data', 'Date'));
		loop: $points;
			$data->(insert: (array: (math_random: -lower=$lower, -upper=$upper), (math_random: -lower=$lower, -upper=$upper), (date_add: date, -month=loop_count)->(format: '%m/%Y')));
		/loop;
	else;
		$data->(insert: (array: 'Blue Data', 'Date'));
		loop: $points;
			$data->(insert: (array: (math_random: -lower=$lower, -upper=$upper), (date_add: date, -month=loop_count)->(format: '%m/%Y')));
		/loop;
	/if;

	var:'c'=chartfx;
	$c->setWidth(540);
	$c->setHeight(360);
	$c->setTemplateStr((include: 'examples/template.cfx.lasso'));
	$c->setLassoData($data);
	var: 'temp' = $c->render;

	(string: $temp)->(replace: '>', ' width="540" height="360" />') &;
	'<p style="font-size: 9px; color: #666666; text-align: center;">Generated chart in ' + (_date_msec - $_start) + ' msec.</p>';
		
	'</div>';

/ljax_target;

?>