<?LassoScript
	var: 'page' = (action_param: 'page');
	if: $page == '';
		var: 'page' = 'index';
	/if;
	var: 'pages' = (array:
		(map: 'code'='index', 'label'='Lasso Talk', 'path'='examples/index.lasso'),
	);
	var: 'useajax' = true;
	
	var: 'series' = (math_range: (integer: (if_empty: (action_param: 'series'), '1')), -min=1, -max=4);
	var: 'points' = (math_range: (integer: (if_empty: (action_param: 'points'), '10')), -min=10, -max=100);
	var: 'chart3d' = (if_empty: (action_param: 'chart3d'), 'false');
	var: 'gallery' = (if_empty: (action_param: 'gallery'), 'CurveArea');

	?>
[ljax_target: 'page_frame', -notarget]
<div class="group_list" id="page_frame"[if: (var: 'ljax') == true] xmlns="http://www.w3.org/1999/xhtml"[/if]>
	<div class="group"><b class="rboth1 rrightclr"></b><b class="rboth2 rrightclr"></b><b class="rboth3 rrightclr"></b><b class="rboth4 rrightclr"></b>
		<div class="group_title">
			<a href="index.lasso">Chart FX for Lasso</a>
		</div>
		<div class="wrap">
			<div class="nav">
				<div class="nav_one_selected">
					<form action="[response_filepath]"[if: $useajax] onsubmit="Lasso.includeTarget('chartfx', {args:this}); return false;"[/if] method="post">
						Gallery 
						<select name="gallery"[if: $useajax] onchange="Lasso.includeTarget('chartfx', {args:this.form}); return false;"[else] onchange="this.form.submit();"[/if]>
						[iterate: (array: 'Area', 'Bar', 'Cube', 'Curve', 'CurveArea', 'Doughnut', 'Gantt', 'Lines', 'Pie', 'Pyramid', 'Radar', 'Scatter', 'Step'), (var: 'type')]
							<option value="[var: 'type']"[if: $gallery == $type] selected="selected"[/if]>[var: 'type']</option>
						[/iterate]
						</select>
						<br />3D Chart 
						<select name="chart3d"[if: $useajax] onchange="Lasso.includeTarget('chartfx', {args:this.form}); return false;"[else] onchange="this.form.submit();"[/if]>
							<option value="true"[if: $chart3d == 'true'] selected="selected"[/if]>True</option>
							<option value="false"[if: $chart3d == 'false'] selected="selected"[/if]>False</option>
						</select>
						<br />Series 
						<select name="series"[if: $useajax] onchange="Lasso.includeTarget('chartfx', {args:this.form}); return false;"[else] onchange="this.form.submit();"[/if]>
							<option value="1"[if: $series == 1] selected="selected"[/if]>One</option>
							<option value="2"[if: $series == 2] selected="selected"[/if]>Two</option>
							<option value="3"[if: $series == 3] selected="selected"[/if]>Three</option>
							<option value="4"[if: $series == 4] selected="selected"[/if]>Four</option>
						</select>
						<br />Points 
						<select name="points"[if: $useajax] onchange="Lasso.includeTarget('chartfx', {args:this.form}); return false;"[else] onchange="this.form.submit();"[/if]>
							<option value="10"[if: $points == 10] selected="selected"[/if]>10</option>
							<option value="25"[if: $points == 25] selected="selected"[/if]>25</option>
							<option value="50"[if: $points == 50] selected="selected"[/if]>50</option>
							<option value="75"[if: $points == 75] selected="selected"[/if]>75</option>
							<option value="100"[if: $points == 100] selected="selected"[/if]>100</option>
						</select>
					</form>
				</div>
				
			</div>
			<div class="page">
				<div>
[/ljax_target]
					<?LassoScript
					
						iterate: $pages, (var: 'temp');
							if: ((var: 'page') == '') || ((var: 'page') == $temp->(find: 'code'));
								include: $temp->(find: 'path');
							/if;
						/iterate;
											
					?>	
[ljax_target: 'page_frame', -notarget]
				</div>
			</div>
			<!-- This div forces the background color to extend the length of the navigation -->
			<div style="clear: both;"><br /></div>
		</div>
	</div>
</div>
[/ljax_target]