<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<?LassoScript

if:error_code == error_code_nopermission;
	auth_prompt: -noabort, -noresponse;
/if;

var:'DEBUG_LEVEL' = lasso_errorreporting;

if:$DEBUG_LEVEL != 'full';
	log_detail: 'Script Error: ' + error_code + ' ' + error_msg;
/if;

?><html>
<head>
	<title><?LassoScript
		if: $DEBUG_LEVEL != 'none';
			'Error '; error_code;
		else;
			'Error';
		/if;
	?></title>
</head>
<body bgcolor="white">
<hr />
<p><font size="5"><b><?LassoScript

if:$DEBUG_LEVEL == 'none';
	'An error occurred while processing your request.';
else;
	if:lasso_currentAction == 'add';
		error_addError;
	else:lasso_currentAction == 'update';
		error_updateError;
	else:lasso_currentAction == 'delete';
		error_deleteError;
	else:(lasso_currentAction == 'search') || (lasso_currentAction == 'findall');
		error_noRecordsFound;
	else;
		'An error occurred while processing your request';
	/if;
	
	?>.</b></font></p>
<table border="1" cellpadding="4" cellspacing="0" width="100%">
	<tr>
		<td width="100%" valign="top">
			<table border="0" cellpadding="0" width="100%">
				<tr>
					<th colspan="2" bgcolor="#0C59A5" align="left" height="25" width="100%">
						<font size="+1" color="white">&nbsp;Error Information</font>
					</th>
				</tr>
				<tr>
					<th align="left" width="25%">&nbsp;</th>
					<td width="75%">&nbsp;</td>
				</tr>
				<tr>
					<th align="left" valign="top">Error Message:&nbsp;</th>
					<td>[if:error_currentError != ''][encode_break:error_currentError][else]--[/if]</td>
				</tr>
				<tr>
					<th align="left">Error Code:&nbsp;</th>
					<td>[error_currentError: -errorCode]</td>
				</tr>
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr><?LassoScript
				
				if:$DEBUG_LEVEL == 'full';
				
				?><tr>
					<th align="left">Action:&nbsp;</th>
					<td>[lasso_currentAction]</td>
				</tr>
				<tr>
					<th align="left">Database:&nbsp;</th>
					<td>[if:database_name != ''][database_name][else]--[/if]</td>
				</tr>
				<tr>
					<th align="left">Table/Layout:&nbsp;</th>
					<td>[if:layout_name != ''][layout_name][else]--[/if]</td>
				</tr>
				<tr>
					<th align="left">Response:&nbsp;</th>
					<td>[if:response_filepath != ''][response_filepath][else]--[/if]</td>
				</tr>
				[if:(client_username != '') || (client_password != '')]
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				[/if]
				[if:(client_username != '')]
				<tr>
					<th align="left">User Name:&nbsp;</th>
					<td>[client_username]</td>
				</tr>
				[/if]
				[if:(client_password != '')]
				<tr>
					<th align="left">Password:&nbsp;</th>
					<td><font color="gray">(not shown)</font></td>
				</tr>
				[/if]
				[if:(lasso_currentAction == 'add') || (lasso_currentAction == 'update') || (lasso_currentAction == 'search') || (lasso_currentAction == 'findall')]
				[if:(lasso_version: -lassoedition) >> 'Publisher']
				[else]
				[search_args]
				[if:Loop_Count == 1] 
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				[/if]
				<tr>
					<th align="left">[search_fielditem]:&nbsp;</th>
					<td>[if:(lasso_currentAction == 'search') || (lasso_currentAction == 'findall')][search_opitem] [/if]&quot;[search_valueitem]&quot;</td>
				</tr>
				[/search_args]
				[if:(lasso_currentAction == 'search') || (lasso_currentAction == 'findall')]
				[sort_args]
				[if:Loop_Count == 1] 
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				[/if]
				[if:sort_fielditem != 'unsorted']
				<tr>
					<th align="left">[sort_fielditem]:&nbsp;</th>
					<td>sorted by [sort_orderitem] order</td>
				</tr>
				[/if]
				[/sort_args]
				[/if]
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<th align="left">Logical Operator:&nbsp;</th>
					<td>[operator_logicalvalue]</td>
				</tr>
				[/if]
				[else:lasso_currentAction == 'delete']
				[if:recID_value != -1]
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<th align="left">Record ID:&nbsp;</th>
					<td>[recID_value]</td>
				</tr>
				[/if]
				[if:keyfield_name != '']
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<th align="left">Primary Key:&nbsp;</th>
					<td>[keyfield_name][if:keyfield_value != ''] is &quot;[keyfield_value]&quot;[/if]</td>
				</tr>
				[/if]
				[/if]
				<tr>
					<th align="left">&nbsp;</th>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<th align="left">Lasso Site:&nbsp;</th>
					<td>[site_name] ([site_id])</td>
				</tr>
				<tr>
					<th align="left">Client Address:&nbsp;</th>
					<td>[_client_address_old]</td>
				</tr>
				<tr>
					<th align="left">Client IP:&nbsp;</th>
					<td>[_client_IP_old]</td>
				</tr>
				<tr>
					<th align="left">Client Type:&nbsp;</th>
					<td>[client_type]</td>
				</tr>
				<tr>
					<th align="left">Server Date:&nbsp;</th>
					<td>[server_date: -long]</td>
				</tr>
				<tr>
					<th align="left">Server Time:&nbsp;</th>
					<td>[server_time: -long]</td>
				</tr>
<?LassoScript
	/if;
?>			
			</table>
		</td>
	</tr>
</table>
<?LassoScript

/if;

?><hr />
</body>
</html>